---
title: バッチの一覧取得 | RunAPI
description: 現在のアカウントで作成されたバッチの一覧を取得します。
url: https://runapi.ai/ja/docs/api/protocol/batches/list.md
canonical: https://runapi.ai/ja/docs/api/protocol/batches/list
locale: ja
---

> HTML 版: https://runapi.ai/ja/docs/api/protocol/batches/list
> エージェント向けサイトインデックス: https://runapi.ai/llms.txt

# バッチの一覧取得

現在のアカウントで作成されたバッチの一覧を取得します。

## エンドポイント

GET /v1/batches

ベースURL: https://runapi.ai

API バージョン: v1

認証: Authorization: Bearer YOUR_API_KEY

## リクエスト

指定されたリクエストの場所にのみ値を送信してください。

### クエリパラメータ

```json
{
  "after": {
    "description": "このバッチIDカーソルより後のバッチを返します。",
    "required": false,
    "type": "string"
  },
  "limit": {
    "default": 20,
    "description": "返されるバッチの最大数。",
    "max": 100,
    "min": 1,
    "required": false,
    "type": "integer"
  }
}
```

## 成功レスポンス

HTTP 200 - GET /v1/batches

```json
{
  "data": [
    {
      "completion_window": "24h",
      "created_at": 1785196800,
      "endpoint": "/v1/moderations",
      "id": "batch_abc123",
      "input_file_id": "file_batch123",
      "metadata": {
        "customer_tag": "demo"
      },
      "object": "batch",
      "request_counts": {
        "completed": 1,
        "failed": 0,
        "total": 3
      },
      "status": "in_progress"
    }
  ],
  "first_id": "batch_abc123",
  "has_more": false,
  "last_id": "batch_abc123",
  "object": "list"
}
```

## エラーレスポンス (401)

HTTP 401

### レスポンススキーマ

```json
{
  "additionalProperties": true,
  "properties": {
    "error": {
      "additionalProperties": true,
      "properties": {
        "code": {
          "type": [
            "string",
            "null"
          ]
        },
        "message": {
          "type": "string"
        },
        "param": {
          "type": [
            "string",
            "null"
          ]
        },
        "type": {
          "type": "string"
        }
      },
      "required": [
        "message",
        "type"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}
```

### レスポンス例

```json
{
  "error": {
    "code": "authentication_error",
    "message": "Missing API key",
    "param": null,
    "type": "authentication_error"
  }
}
```

## エラーレスポンス (400)

HTTP 400

### レスポンススキーマ

```json
{
  "additionalProperties": true,
  "properties": {
    "error": {
      "additionalProperties": true,
      "properties": {
        "code": {
          "type": [
            "string",
            "null"
          ]
        },
        "message": {
          "type": "string"
        },
        "param": {
          "type": [
            "string",
            "null"
          ]
        },
        "type": {
          "type": "string"
        }
      },
      "required": [
        "message",
        "type"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}
```

### レスポンス例

```json
{
  "error": {
    "code": "invalid_request_error",
    "message": "Malformed request",
    "param": null,
    "type": "invalid_request_error"
  }
}
```

## エラーレスポンス (404)

HTTP 404

### レスポンススキーマ

```json
{
  "additionalProperties": true,
  "properties": {
    "error": {
      "additionalProperties": true,
      "properties": {
        "code": {
          "type": [
            "string",
            "null"
          ]
        },
        "message": {
          "type": "string"
        },
        "param": {
          "type": [
            "string",
            "null"
          ]
        },
        "type": {
          "type": "string"
        }
      },
      "required": [
        "message",
        "type"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}
```

### レスポンス例

```json
{
  "error": {
    "code": "not_found",
    "message": "File not found",
    "param": null,
    "type": "invalid_request_error"
  }
}
```

## エラーレスポンス (409)

HTTP 409

### レスポンススキーマ

```json
{
  "additionalProperties": true,
  "properties": {
    "error": {
      "additionalProperties": true,
      "properties": {
        "code": {
          "type": [
            "string",
            "null"
          ]
        },
        "message": {
          "type": "string"
        },
        "param": {
          "type": [
            "string",
            "null"
          ]
        },
        "type": {
          "type": "string"
        }
      },
      "required": [
        "message",
        "type"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}
```

### レスポンス例

```json
{
  "error": {
    "code": "upload_state_conflict",
    "message": "Upload state conflict",
    "param": null,
    "type": "invalid_request_error"
  }
}
```

## エラーレスポンス (402)

HTTP 402

### レスポンススキーマ

```json
{
  "additionalProperties": true,
  "properties": {
    "error": {
      "additionalProperties": true,
      "properties": {
        "code": {
          "type": [
            "string",
            "null"
          ]
        },
        "message": {
          "type": "string"
        },
        "param": {
          "type": [
            "string",
            "null"
          ]
        },
        "type": {
          "type": "string"
        }
      },
      "required": [
        "message",
        "type"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}
```

### レスポンス例

```json
{
  "error": {
    "code": "payment_required",
    "message": "Insufficient balance",
    "param": null,
    "type": "insufficient_balance"
  }
}
```

## エラーレスポンス (422)

HTTP 422

### レスポンススキーマ

```json
{
  "additionalProperties": true,
  "properties": {
    "error": {
      "additionalProperties": true,
      "properties": {
        "code": {
          "type": [
            "string",
            "null"
          ]
        },
        "message": {
          "type": "string"
        },
        "param": {
          "type": [
            "string",
            "null"
          ]
        },
        "type": {
          "type": "string"
        }
      },
      "required": [
        "message",
        "type"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}
```

### レスポンス例

```json
{
  "error": {
    "code": "invalid_upload",
    "message": "Upload request rejected",
    "param": null,
    "type": "invalid_request_error"
  }
}
```

## エラーレスポンス (502)

HTTP 502

### レスポンススキーマ

```json
{
  "additionalProperties": true,
  "properties": {
    "error": {
      "additionalProperties": true,
      "properties": {
        "code": {
          "type": [
            "string",
            "null"
          ]
        },
        "message": {
          "type": "string"
        },
        "param": {
          "type": [
            "string",
            "null"
          ]
        },
        "type": {
          "type": "string"
        }
      },
      "required": [
        "message",
        "type"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}
```

### レスポンス例

```json
{
  "error": {
    "code": "storage_write_failed",
    "message": "File storage failed",
    "param": null,
    "type": "server_error"
  }
}
```

## cURLの例



### curl

```curl
curl -X GET https://runapi.ai/v1/batches?limit=20 \
  -H 'Authorization: Bearer YOUR_API_KEY'
```

## 関連リファレンス

- [バッチ](https://runapi.ai/ja/docs/api/protocol/batches.md)
- [バッチオブジェクト](https://runapi.ai/ja/docs/api/protocol/batches/object.md)

---

## RunAPI のその他の情報

- [ホーム](https://runapi.ai/ja/.md)
- [モデルカタログ](https://runapi.ai/ja/models.md)
- [料金](https://runapi.ai/ja/pricing.md)
- [プロバイダー](https://runapi.ai/ja/models)
- [ドキュメント](https://runapi.ai/ja/docs/guides)
- [SDK](https://runapi.ai/ja/sdk.md)
- [CLI](https://runapi.ai/ja/cli.md)
- [MCP Server](https://runapi.ai/ja/mcp.md)
- [Claude Code と Cursor](https://runapi.ai/ja/claude-code-vs-cursor.md)
- [Cursor API セットアップ](https://runapi.ai/ja/cursor-api-setup.md)
- [RunAPI と OpenRouter の比較](https://runapi.ai/ja/openrouter-alternative.md)
- [エンタープライズ](https://runapi.ai/ja/contact.md)
- [お問い合わせ](https://runapi.ai/ja/contact.md)
- [利用規約](https://runapi.ai/ja/terms.md)
- [プライバシー](https://runapi.ai/ja/privacy.md)
- [エージェント向けサイトインデックス](https://runapi.ai/llms.txt)

お問い合わせ: contact@runapi.ai

## 構造化データ

```json
[
  {
    "@context": "https://schema.org",
    "inLanguage": "ja",
    "@type": "WebSite",
    "name": "RunAPI",
    "url": "https://runapi.ai/ja",
    "potentialAction": {
      "@type": "SearchAction",
      "target": {
        "@type": "EntryPoint",
        "urlTemplate": "https://runapi.ai/ja/models?q={search_term_string}"
      },
      "query-input": "required name=search_term_string"
    }
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "ja",
    "@type": "Organization",
    "name": "RunAPI",
    "url": "https://runapi.ai/ja",
    "logo": {
      "@type": "ImageObject",
      "url": "https://runapi.ai/jaicon.svg"
    },
    "sameAs": [
      "https://github.com/runapi-ai"
    ]
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "ja",
    "@type": "TechArticle",
    "headline": "バッチの一覧取得",
    "description": "現在のアカウントで作成されたバッチの一覧を取得します。",
    "url": "https://runapi.ai/ja/docs/api/protocol/batches/list",
    "mainEntityOfPage": "https://runapi.ai/ja/docs/api/protocol/batches/list"
  }
]
```
